Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79108 - xscreensaver-command -lock says screensaver is already locked but it is not
Summary: xscreensaver-command -lock says screensaver is already locked but it is not
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: xscreensaver
Version: 1.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2002-12-05 19:46 UTC by Michael Lee Yohe
Modified: 2014-03-17 02:32 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-07-17 21:38:43 UTC


Attachments (Terms of Use)
strace output (deleted)
2002-12-05 19:47 UTC, Michael Lee Yohe
no flags Details
strace output of the actual xscreensaver process (deleted)
2002-12-05 19:48 UTC, Michael Lee Yohe
no flags Details

Description Michael Lee Yohe 2002-12-05 19:46:49 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
Whenever I select "Lock Screen" from the Gnome menu or manually execute
"xscreensaver-command -lock", I get an error message saying:

xscreensaver-command: already locked.

I am unable to reproduce this error because I have not figured out what I did to
cause it (I've locked this workstation about eight times today).  The X session
on this box is about 11 days old.

I will be attaching an strace output of the xscreensaver-command _and_ an strace
output of the xscreensaver process itself.

The inability to lock the screen could potentially be a security risk if the
lock cannot be enabled after the idle period that is configured.


Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. see description
	

Actual Results:  xscreensaver-command: already locked.

Expected Results:  Screen should have locked normally.

Additional info:

$ rpm -q xscreensaver
xscreensaver-4.06-3

I saw that the revision in the 4.06-4 Raw Hide package was negligible and should
have no effect on this phenomenon.

Comment 1 Michael Lee Yohe 2002-12-05 19:47:27 UTC
Created attachment 87584 [details]
strace output

Comment 2 Michael Lee Yohe 2002-12-05 19:48:01 UTC
Created attachment 87585 [details]
strace output of the actual xscreensaver process

Comment 3 Michael Lee Yohe 2003-07-17 21:10:50 UTC
I'm assuming that this bug has disappeared off the charts (as I have not been
able to reproduce it again) with 4.10.

Comment 4 Bill Nottingham 2003-07-17 21:38:43 UTC
OK. We've never been able to reproduce it here period. 

Comment 5 Danny Aizer 2004-08-26 06:25:18 UTC
I have xscreensaver-4.07-2 and the problem described above persists 
for 5 workstations with the same configuration.

Comment 6 Warren Norrell 2004-11-15 20:33:06 UTC
I have found this problem to be reproducible at xscreensaver-4.07-2 
with the following sequence:

1.  Disable xscreensaver
2.  ATTEMPT to lock screen, either by "xscreensaver-command -lock" 
or "Lock Screen" from the menu.  (Will FAIL)
3.  Enable xscreensaver

-- you will now be unable to lock the screen       --
-- this appears to be a bug in xscreensaver-4.07-2 --

To fix, run "xscreensaver-command -restart".  There does not appear 
to be any way to do this from the menu.



Note You need to log in before you can comment on or make changes to this bug.